﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class Entities : DbContext
    {
        public Entities()
            : base("name=Entities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<accomodation> accomodation { get; set; }
        public virtual DbSet<act_activity> act_activity { get; set; }
        public virtual DbSet<act_difficulty> act_difficulty { get; set; }
        public virtual DbSet<act_translate> act_translate { get; set; }
        public virtual DbSet<aspnetroles> aspnetroles { get; set; }
        public virtual DbSet<aspnetuserclaims> aspnetuserclaims { get; set; }
        public virtual DbSet<aspnetuserlogins> aspnetuserlogins { get; set; }
        public virtual DbSet<aspnetusers> aspnetusers { get; set; }
        public virtual DbSet<ass_mountaincountry> ass_mountaincountry { get; set; }
        public virtual DbSet<ass_mountainregion> ass_mountainregion { get; set; }
        public virtual DbSet<geo_city> geo_city { get; set; }
        public virtual DbSet<geo_country> geo_country { get; set; }
        public virtual DbSet<geo_region> geo_region { get; set; }
        public virtual DbSet<language> language { get; set; }
        public virtual DbSet<mntn_dbpedia> mntn_dbpedia { get; set; }
        public virtual DbSet<mntn_image> mntn_image { get; set; }
        public virtual DbSet<mntn_mountaingroup> mntn_mountaingroup { get; set; }
        public virtual DbSet<mntn_mountainrange> mntn_mountainrange { get; set; }
        public virtual DbSet<mntn_translate> mntn_translate { get; set; }
        public virtual DbSet<mountain> mountain { get; set; }
        public virtual DbSet<page_statistics> page_statistics { get; set; }
        public virtual DbSet<parking> parking { get; set; }
        public virtual DbSet<route> route { get; set; }
        public virtual DbSet<route_detail> route_detail { get; set; }
        public virtual DbSet<route_image> route_image { get; set; }
        public virtual DbSet<route_location> route_location { get; set; }
        public virtual DbSet<route_translate> route_translate { get; set; }
        public virtual DbSet<route_webinfo> route_webinfo { get; set; }
        public virtual DbSet<source> source { get; set; }
        public virtual DbSet<stone> stone { get; set; }
        public virtual DbSet<trackgps> trackgps { get; set; }
        public virtual DbSet<user_role> user_role { get; set; }
        public virtual DbSet<user_stats> user_stats { get; set; }
        public virtual DbSet<user_wishlist> user_wishlist { get; set; }
        public virtual DbSet<valley> valley { get; set; }
        public virtual DbSet<v_feed_route> v_feed_route { get; set; }
        public virtual DbSet<v_feed_stats> v_feed_stats { get; set; }
        public virtual DbSet<v_geocity_autocomplete> v_geocity_autocomplete { get; set; }
        public virtual DbSet<v_georegion_autocomplete> v_georegion_autocomplete { get; set; }
        public virtual DbSet<v_mountain_autocomplete> v_mountain_autocomplete { get; set; }
        public virtual DbSet<v_mountain4map> v_mountain4map { get; set; }
        public virtual DbSet<v_report_route4source> v_report_route4source { get; set; }
        public virtual DbSet<v_report_route4sourceregion> v_report_route4sourceregion { get; set; }
        public virtual DbSet<v_route_autocomplete> v_route_autocomplete { get; set; }
        public virtual DbSet<user_profile> user_profile { get; set; }
        public virtual DbSet<v_feed_images> v_feed_images { get; set; }
        public virtual DbSet<v_community> v_community { get; set; }
        public virtual DbSet<v_report_mountain4region> v_report_mountain4region { get; set; }
        public virtual DbSet<v_route_index> v_route_index { get; set; }
        public virtual DbSet<v_sync_routetofix> v_sync_routetofix { get; set; }
        public virtual DbSet<v_mountain_index> v_mountain_index { get; set; }
    
        public virtual int sp_calculate_routeRankig()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_calculate_routeRankig");
        }
    
        public virtual ObjectResult<sp_geo_nearestMountains_Result> sp_geo_nearestMountains(Nullable<float> p_latpoint, Nullable<float> p_lngpoint, Nullable<int> p_mntnId, Nullable<int> p_altitude, Nullable<sbyte> p_route, Nullable<int> p_userId)
        {
            var p_latpointParameter = p_latpoint.HasValue ?
                new ObjectParameter("p_latpoint", p_latpoint) :
                new ObjectParameter("p_latpoint", typeof(float));
    
            var p_lngpointParameter = p_lngpoint.HasValue ?
                new ObjectParameter("p_lngpoint", p_lngpoint) :
                new ObjectParameter("p_lngpoint", typeof(float));
    
            var p_mntnIdParameter = p_mntnId.HasValue ?
                new ObjectParameter("p_mntnId", p_mntnId) :
                new ObjectParameter("p_mntnId", typeof(int));
    
            var p_altitudeParameter = p_altitude.HasValue ?
                new ObjectParameter("p_altitude", p_altitude) :
                new ObjectParameter("p_altitude", typeof(int));
    
            var p_routeParameter = p_route.HasValue ?
                new ObjectParameter("p_route", p_route) :
                new ObjectParameter("p_route", typeof(sbyte));
    
            var p_userIdParameter = p_userId.HasValue ?
                new ObjectParameter("p_userId", p_userId) :
                new ObjectParameter("p_userId", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<sp_geo_nearestMountains_Result>("sp_geo_nearestMountains", p_latpointParameter, p_lngpointParameter, p_mntnIdParameter, p_altitudeParameter, p_routeParameter, p_userIdParameter);
        }
    }
}
